﻿-- Author      : Nogarder
-- Create Date : 2012/4/15 18:14:30
--dragger uses circle
--macro for get coordinates
--size
local RS_Template_Dragger_Size=20
--set function
RS.Template.CreateDragger=function(parent,dragframe)
	--create one
	local frame=CreateFrame("Frame",nil,parent)
	frame:EnableMouse(1)
	frame:SetMovable(true)
	frame:SetScript("OnEnter",function(self)
			RS.Template.SwitchCircle(self.Circle,1)
		end)
	frame:SetScript("OnLeave",function(self)
			RS.Template.SwitchCircle(self.Circle,nil)
		end)
	frame:SetScript("OnMouseDown",function(self)
			(dragframe or self):StartMoving()
			self.Dragged=true
		end)
	frame:SetScript("OnMouseUp",function(self)
			(dragframe or self):StopMovingOrSizing()
		end)
	frame:SetWidth(RS_Template_Dragger_Size)
	frame:SetHeight(RS_Template_Dragger_Size)
	local textureA=frame:CreateTexture(nil,"OVERLAY")
	textureA:SetPoint("TOP",frame,"TOP",0,0)
	textureA:SetPoint("BOTTOM",frame,"BOTTOM",0,0)
	textureA:SetWidth(RS_Template_Dragger_Size/8)
	textureA:SetTexture("Interface\\Addons\\GarrisonMissionPlanner\\texture\\Liner")
	local textureB=frame:CreateTexture(nil,"OVERLAY")
	textureB:SetPoint("LEFT",frame,"LEFT",0,0)
	textureB:SetPoint("RIGHT",frame,"RIGHT",0,0)
	textureB:SetHeight(RS_Template_Dragger_Size/8)
	textureB:SetTexture("Interface\\Addons\\GarrisonMissionPlanner\\texture\\Liner")
	RS.SetTextureRotation(textureB,90)
	--
	frame.Circle=RS.Template.CreateCircle(frame,RS_Template_Dragger_Size/2.5,2)
	frame.Circle:SetPoint("CENTER",frame,"CENTER",0,0)
	--
	--show
	frame:Show()
	--return
	return frame
end
