-- Author      : Nogarder
-- Create Date : 2015/3/2 2:18:51

RS.Template.CreateCoolDown=function(parent)
	local frame=CreateFrame("Frame",nil,parent)
	frame:SetWidth(10)
	frame:SetHeight(10)

	frame.Texture=frame:CreateTexture(nil,"BACKGROUND")
	frame.Texture:SetPoint("TOPLEFT",frame,"TOPLEFT",0,0)
	frame.Texture:SetPoint("BOTTOMRIGHT",frame,"BOTTOMRIGHT",0,0)

	frame.Overlay=frame:CreateTexture(nil,"ARTWORK")
	frame.Overlay:SetTexture(1,0,0,0.25)
	frame.Overlay:SetPoint("TOPLEFT",frame.Texture,"TOPLEFT",0,0)
	frame.Overlay:SetPoint("BOTTOMRIGHT",frame,"BOTTOMRIGHT",0,0)

	frame.Text=frame:CreateFontString(nil,"OVERLAY")
	frame.Text:SetFont(RS.TextFont,5,RS.TextMode)

	frame.Text:SetPoint("TOPLEFT",frame,"TOPLEFT",0,0)
	frame.Text:SetPoint("BOTTOMRIGHT",frame,"BOTTOMRIGHT",0,0)

	frame.EndTime=0

	return frame
end
