﻿-- Author      : Nogarder
-- Create Date : 2012/6/25 12:37:54
local focusbox=CreateFrame("Frame",nil)
focusbox:Hide()
focusbox:SetWidth(1)
focusbox:SetHeight(1)
RS.Template.CreateLinerBorder(focusbox,2)
RS.Template.SetLinerBorderFocus(focusbox,1)
--
RS.Template.SetFocusBox=function(frame,reside)
	local reside=reside or 2
	focusbox:ClearAllPoints()
	focusbox:SetPoint("TOPLEFT",frame,"TOPLEFT",-reside,reside)
	focusbox:SetPoint("BOTTOMRIGHT",frame,"BOTTOMRIGHT",reside,-reside)
	focusbox:SetParent(frame)
	RS.Template.SetLinerBorderFocus(focusbox,1)
	focusbox:Show()
end
RS.Template.HideFocusBox=function()
	focusbox:Hide()
end
--
RS.Template.FocusFocusBox=function(switch)
	RS.Template.SetLinerBorderFocus(focusbox,switch)
end
RS.Template.SetAutoFocus=function(frame)
	frame:HookScript("OnEnter",function()
			RS.Template.SetFocusBox(frame,0)
	end)
	frame:HookScript("OnLeave",function()
			focusbox:Hide()
	end)
	frame:HookScript("OnMouseDown",function()
		RS.Template.FocusFocusBox(nil)
	end)
	frame:HookScript("OnMouseUp",function()
		RS.Template.FocusFocusBox(1)
	end)
end
--
RS.RegisterTemplate(focusbox,RS.Template.HideFocusBox)
